﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Twilio;

namespace RobertMcLaws.TwilioForWin8.Helpers
{
    public static class TwilioExtensions
    {

        public static string ToSummaryString(this Call call)
        {
            string CallFormatString = "Call To: {0}\nForwarded: {1}\nStatus: {2}\n\nTime Spent\nStart Time: {3}\nEnd Time: {4}\nDuration: {5}\nPrice: {6}";
            return string.Format(CallFormatString, call.To, call.ForwardedFrom, call.Status, call.StartTime, call.EndTime, call.Duration, call.Price.Value.ToString("C"));
        }


    }
}
